.ots-modal {
    position: fixed;
    inset: 0;
    background: rgba(0, 0, 0, 0.6);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 9999;
}

.ots-modal-content {
    background: #fff;
    padding: 25px;
    border-radius: 12px;
    width: 100%;
    max-width: 420px;
}

.preference-box {
    display: flex;
    gap: 15px;
}


.booking-toggle {
    display: flex;
    gap: 15px;
}

.booking-option {
    position: relative;
    padding: 5px 10px;
    border: 2px solid #ddd;
    border-radius: 6px;
    cursor: pointer;
    font-weight: 600;
    color: #222;
    transition: all 0.3s ease;
    display: flex;
    align-items: center;
}

.booking-option input {
    position: absolute;
    opacity: 0;
    pointer-events: none;
}

.custom-radio {
    display: none;
}

.booking-option:hover {
    border-color: #381059;
}

.booking-option input:checked+.custom-radio+.label-text,
.booking-option input:checked~.label-text {
    color: #fff;
}

.booking-option input:checked~.label-text {
    position: relative;
    z-index: 2;
}

.booking-option input:checked~.label-text::before {
    content: '';
    position: absolute;
    inset: -12px -20px;
    background: #381059;
    border-radius: 6px;
    z-index: -1;
}

.label-text {
    font-size: 15px;
    white-space: nowrap;
}

.preference-box {
    display: flex;
    gap: 12px;
}

.preference-option input {
    display: none;
}

.preference-option span {
    display: inline-block;
    padding: 10px 18px;
    border: 2px solid #ddd;
    border-radius: 6px;
    font-weight: 600;
    cursor: pointer;
    transition: all 0.25s ease;
    background: #fff;
    color: #333;
}

.preference-option span:hover {
    border-color: #381059;
}

.preference-option input:checked+span {
    background: #381059;
    color: #fff;
    border-color: #381059;
}

.preference-option input:focus+span {
    box-shadow: 0 0 0 3px rgba(56, 16, 89, 0.15);
}

.otp-wrapper {
    display: flex;
    gap: 10px;
    justify-content: space-between;
}

.otp-input {
    width: 48px;
    height: 50px;
    font-size: 24px;
    font-weight: 700;
    text-align: center;
    color: #000 !important;
    background-color: #fff !important;
    caret-color: #000;
    padding: 0 !important;
    line-height: 50px;
    box-sizing: border-box;
    border: 2px solid #d9d9d9;
    border-radius: 6px;
    outline: none;
    transition: all 0.2s;
}

.otp-input:focus {
    border-color: #3b0a57;
    box-shadow: 0 0 0 4px rgba(59, 10, 87, 0.1);
}